Skip to navigation

Create Pages

Creates one or more content pages. This endpoint supports bulk operations.

Web pages created via this endpoint are subject to the 4000 web page platform limit. Attempting to create pages over the limit will return an error. For more information on platform limits, see Platform Limits (Help Center).

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Contentmodifystore_v2_content
Contentread-onlystore_v2_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body that the client accepts. Typically application/json.

Query parameters

includelist of enumsOptional

Include the requested property in the response. The body property returns the page’s markup, text, or raw content.

Allowed values:

Request

This endpoint expects an object or a list of objects.
Create single page using objectobjectRequired
OR
Create multiple pages using arraylist of objectsRequired

Response

Created.

Response.data will inherit the data type of the request. A single entry passed as an object will return an object for the data property. Any number of entries passed in an array will return an array for the data property.

Properties associated with a page type that are not required to create an entry will be created with default values.

When you make bulk requests, an invalid input in any one entry will return 422. The entries that are valid will still be created.

dataobjectOptional
metaobjectOptional
Data about the response, including pagination and collection totals.

Errors

422
Unprocessable Entity Error